%global altname nicotine

Name:           nicotine+
Version:        1.4.1
Release:        8%{?dist}
Summary:        A graphical client for the SoulSeek peer-to-peer system

License:        GPLv3+
URL:            https://www.nicotine-plus.org/
Source0:        %{name}-%{version}-without-nonfree-sounds.tar.gz
# nicotine+ contains nonfree sounds, licensed under CC Sampling Plus
# 1.0. Therefore we use this script to remove these files before shipping
# it. Invoke this script while in the tarball's directory to retrieve and
# generate a tarball without nonfree bytes
Source1:        %{name}-generate-tarball.sh
Source2:        %{name}.appdata.xml
# Install user guide, required by application help, outside of %%{_docdir}
Patch0:         %{name}-1.4.1-documentation.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  pygobject2
BuildRequires:  python2-devel
Requires:       hicolor-icon-theme
Requires:       python2-notify
Requires:       pygtk2-libglade
Requires:       python2-GeoIP
Requires:       python2-miniupnpc
Requires:       python2-mutagen
Requires:       python2-sexy
Requires:       xdg-utils
BuildArch:      noarch

%description
Nicotine+ is a graphical client for the SoulSeek peer-to-peer system.

Nicotine+ is an attempt to keep Nicotine working with the latest libraries, kill
bugs, keep current with the Soulseek protocol and add some new features that
users want and/or need.


%prep
%autosetup -n nicotine-plus-%{version} -p0


%build
%py2_build


%install
%py2_install

install -Dpm 0644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/appdata/%{name}.appdata.xml

%find_lang %{altname}


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{altname}.desktop

appstream-util validate-relax --nonet $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml

%files -f %{altname}.lang
%doc AUTHORS.md NEWS README.md doc/TRANSLATORS.md
%license COPYING
%{_bindir}/*
%{_datadir}/%{altname}/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/nicotine-plus.*
%{_datadir}/appdata/*.appdata.xml
%{_mandir}/man1/*.1.gz
%{python2_sitelib}/*


%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Mar 13 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.4.1-5
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.4.1-3
- Remove obsolete scriptlets

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb 13 2017 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.4.1-1
- New upstream
- Update to 1.4.1
- Spec cleanup
- Add AppData file

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.16-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
